/**
* @page           @Add your project name@
*
* @author         TSEP 
*
* @copyright      (c) Technical Software Engineering Plazotta 2021
*
*/
/**
* @file           @Add your project name@.Exports.h
* @brief          Definition of export declarations for this library
*
**************************************************************************/
//TSEP_Pragma.UnitTest.Skip
#pragma once

// Note:
// "<project>_EXPORTS" preprocessor define is defined by CMake when compiling <project>

/*------------------------------------------------------------------------------
// OPERATING SYSTEM : WIN32
//----------------------------------------------------------------------------*/
#ifdef _WIN32

/// @cond Exclude this macro from doxygen
#ifdef LSFramework_EXPORTS
#define LSFRAMEWORK_API __declspec(dllexport)
#else
#define LSFRAMEWORK_API __declspec(dllimport)
#endif
/// @endcond

#endif

/*------------------------------------------------------------------------------
// OPERATING SYSTEM : LINUX
//----------------------------------------------------------------------------*/
#ifdef __linux__

#ifdef LSFRAMEWORK_EXPORTS
#define LSFRAMEWORK_API __attribute__((visibility("default")))
#else
#define LSFRAMEWORK_API
#endif

#endif // __linux__

