@echo off
setlocal

rem define build parameters
set ARCHITECTURE=x64
set VISUAL_STUDIO=msvc2019
set GENERATOR=Visual Studio 16 2019

rem concatenate build directory
set BUILDRESULTS=%~dp0\..\BuildResults\%VISUAL_STUDIO%_%ARCHITECTURE%

rem create build directory and push into it
if not exist %BUILDRESULTS% mkdir %BUILDRESULTS%
if not exist %BUILDRESULTS%\Debug\bin mkdir %BUILDRESULTS%\Debug\bin
if not exist %BUILDRESULTS%\Release\bin mkdir %BUILDRESULTS%\Release\bin

pushd %BUILDRESULTS%

rem run CMake to build the solution
echo running CMake...
cmake.exe -G "%GENERATOR%" ../../Software 

popd

pause